Last Comment Bug 663611 - display pointer cursor when hovering tab groups
: display pointer cursor when hovering tab groups
Status: VERIFIED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 8
Assigned To: Raymond Lee [:raymondlee]
:
:
Mentors:
Depends on: 663612
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-06-11 03:05 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (3.22 KB, patch)
2011-06-12 22:58 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review
v2 (3.06 KB, patch)
2011-06-13 09:24 PDT, Raymond Lee [:raymondlee]
ian: review+
limi: ui‑review+
ttaubert: feedback+
Details | Diff | Splinter Review
Patch for checkin (3.31 KB, patch)
2011-07-01 20:10 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-06-11 03:05:18 PDT
We want the default cursor when hovering tab groups. The move cursor should only be shown when hovering the groups' titlebars.

https://wiki.mozilla.org/Simplify_Panorama_UI
Comment 1 Raymond Lee [:raymondlee] 2011-06-12 22:58:03 PDT
Created attachment 538813 [details] [diff] [review]
v1

trivial patch
Comment 2 Tim Taubert [:ttaubert] 2011-06-13 06:06:28 PDT
Comment on attachment 538813 [details] [diff] [review]
v1

Review of attachment 538813 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry, I actually meant "pointer" cursor on the group body and the "move" cursor on the title bar. So we indicate that you can zoom into the group when hovering it.
Comment 3 Raymond Lee [:raymondlee] 2011-06-13 09:24:42 PDT
Created attachment 538921 [details] [diff] [review]
v2
Comment 4 Tim Taubert [:ttaubert] 2011-06-13 09:26:00 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

Review of attachment 538921 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks!
Comment 5 Ian Gilman [:iangilman] 2011-06-14 09:37:58 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

Review of attachment 538921 [details] [diff] [review]:
-----------------------------------------------------------------

Why do we want this change?
Comment 6 Alex Faaborg [:faaborg] (Firefox UX) 2011-06-14 15:09:31 PDT
I assume limi was asking for it.  I'm pretty sure I disagree though, the cursor change is important for discovering that the groups are moveable.  Unless we draw a more discrete title bar for each group, I think this is the best way to balance people realizing that they can move them with the visually minimalist design.
Comment 7 Tim Taubert [:ttaubert] 2011-06-14 15:16:53 PDT
(In reply to comment #6)
> I assume limi was asking for it.  I'm pretty sure I disagree though, the
> cursor change is important for discovering that the groups are moveable. 
> Unless we draw a more discrete title bar for each group, I think this is the
> best way to balance people realizing that they can move them with the
> visually minimalist design.

Yeah, it's part of https://wiki.mozilla.org/Improve_Panorama_interactions

I think the reason for this was that the default action when clicking a group should now be to zoom into it (bug 663612) - which is advertised by the new cursor. The title bar still has the move cursor. I guess Limi has more details :)
Comment 8 Alex Faaborg [:faaborg] (Firefox UX) 2011-06-14 15:17:32 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

tentative -, but cc'ing Limi
Comment 9 Ian Gilman [:iangilman] 2011-06-15 13:20:35 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

Review of attachment 538921 [details] [diff] [review]:
-----------------------------------------------------------------

I think I agree with faaborg. My reasoning is that it's nice to have a difference between the cursor for groups and the cursor for tabs.
Comment 10 Ian Gilman [:iangilman] 2011-06-16 09:38:06 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

Review of attachment 538921 [details] [diff] [review]:
-----------------------------------------------------------------

I guess if bug 663612 lands, then this should land as well. This patch doesn't make any sense without it. Seeing as how the dependency is set properly for that, changing my review to r+. 

That said, I don't agree bug 663612.
Comment 11 Tim Taubert [:ttaubert] 2011-06-24 00:15:39 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

This patch landed on ux-branch yesterday.
Comment 12 Alex Limi (:limi) — Firefox UX Team 2011-07-01 12:18:23 PDT
Comment on attachment 538921 [details] [diff] [review]
v2

Works great, thanks!
Comment 13 Raymond Lee [:raymondlee] 2011-07-01 20:10:28 PDT
Created attachment 543564 [details] [diff] [review]
Patch for checkin
Comment 14 Tim Taubert [:ttaubert] 2011-07-19 06:49:49 PDT
http://hg.mozilla.org/integration/fx-team/rev/e34f6f9a5a01
Comment 15 Tim Taubert [:ttaubert] 2011-07-21 03:59:58 PDT
http://hg.mozilla.org/mozilla-central/rev/e34f6f9a5a01
Comment 16 Virgil Dicu [:virgil] [QA] 2011-09-08 01:11:31 PDT
Mozilla/5.0 (X11; Linux x86_64; rv:9.0a1) Gecko/20110907 Firefox/9.0a1

Verified fixed on Ubuntu 10.4, Mac OS 10.7, Windows 7 and XP.
The pointer cursor is displayed on the group body and the move cursor is displayed on the group title bar, as specified in Comment 2.

Note You need to log in before you can comment on or make changes to this bug.